Listing channels
GET /api/public/v1/channels
This endpoint returns a list of channels with pagination.
Headers
Content-Type
application/vnd.api+json
Authorization
Bearer <api_key>
URL Parameters
order
string
Order in which the list of channels should be returned. Can be created_at.
order_type
string
Order type. Can be either asc or desc.
page
number
Page for which you want to return channels.
per_page
number
Number of channels per page to return.
reference
number
Channel reference.
Response
{
"data": [
{
"id": "60e05bc0-4690-4985-a08a-8acf00e48294",
"type": "channels",
"attributes": {
"reference": "ecd05fb9-76e6-42e7-b86e-5a7e18f4da6d",
"status": "enabled",
"createdAt": "2024-09-25T08:35:07.034Z",
"updatedAt": "2024-09-25T09:32:50.626Z",
"payCurrency": "USDT",
"targetCurrency": "USD",
"targetAccountId": "13a85b45-8543-41c7-b963-394d4ea128ae",
"address": "TJTuEYJ8P9to4Zhdw7zg55VPH3gzLaQDV6",
"networkName": "Tron (TRC20)",
"networkCode": "ttrx:usdt",
"hostedPageUrl": "https://sandbox.txn.pro/redirect?channel_id=60e05bc0-4690-4985-a08a-8acf00e48294\u0026request_type=channel_hosted_page\u0026zone=eu"
}
},
{
"id": "aa09547b-3264-4295-a863-1cc538faa630",
"type": "channels",
"attributes": {
"reference": "b644dd1c-9179-466c-82f5-b9bef1e995ab",
"status": "enabled",
"createdAt": "2024-09-25T08:26:24.030Z",
"updatedAt": "2024-09-25T08:26:24.030Z",
"payCurrency": "USDT",
"targetCurrency": "USDT",
"address": "TMtgUMciydZbyAJi5if45oNdTkYzgV8E8Z",
"networkName": "Tron (TRC20)",
"networkCode": "ttrx:usdt",
"hostedPageUrl": "https://sandbox.txn.pro/redirect?channel_id=aa09547b-3264-4295-a863-1cc538faa630\u0026request_type=channel_hosted_page\u0026zone=eu"
}
}
],
"meta": {
"page": "1",
"per_page": "2",
"total": 12
},
"jsonapi": {
"version": "1.0"
}
} Response Body
data.id
string
Channel ID.
data.type
string
Always channels.
data.attributes.targetCurrency
string
Specifies the merchant’s currency account on the txn platform, i.e. the account to which the deposit will be credited. Refer to supported currencies.
data.attributes.targetAccountId
string
Specifies the target account ID.
data.attributes.localCurrency
string
Currency to display to end users, e.g. their local currency in which they hold a balance on the merchant’s platform. This field is optional and can be different from the targetCurrency value.
data.attributes.payCurrency
string
Crypto currency that customer must pay in. Refer to supported currencies.
data.attributes.address
string
Channel address.
data.attributes.networkName
string
Network name.
data.attributes.hostedPageUrl
sting
Channel redirect URL hosted by Txn.
data.attributes.reference
string
The custom reference ID to tie the channel and its deposits to end-user who pays.
data.attributes.status
string
Channel status. Can be either enabled or disabled. If enabled, deposits get processed and credited to the merchant's account as normal. If disabled, deposits do not get credited to the merchant's account.
data.attributes.createdAt
string
Timestamp when a channel was created.
data.attributes.updatedAt
string
Timestamp when a channel was last updated.
Last updated